Skip to main content
GET
Read Automations Related To Resource

Headers

x-prefect-api-version
string

Path Parameters

resource_id
string
required

Response

Successful Response

name
string
required

The name of this automation

trigger
EventTrigger · object
required

A trigger that fires based on the presence or absence of events within a given period of time.

actions
(DoNothing · object | RunDeployment · object | PauseDeployment · object | ResumeDeployment · object | CancelFlowRun · object | DeleteFlowRun · object | ChangeFlowRunState · object | PauseWorkQueue · object | ResumeWorkQueue · object | SendNotification · object | CallWebhook · object | PauseAutomation · object | ResumeAutomation · object | SuspendFlowRun · object | ResumeFlowRun · object | PauseWorkPool · object | ResumeWorkPool · object)[]
required

The actions to perform when this Automation triggers

Do nothing when an Automation is triggered

id
string<uuid>
required
created
string<date-time> | null
required
updated
string<date-time> | null
required
description
string
default:""

A longer description of this automation

enabled
boolean
default:true

Whether this automation will be evaluated

tags
string[]

A list of tags associated with this automation

actions_on_trigger
(DoNothing · object | RunDeployment · object | PauseDeployment · object | ResumeDeployment · object | CancelFlowRun · object | DeleteFlowRun · object | ChangeFlowRunState · object | PauseWorkQueue · object | ResumeWorkQueue · object | SendNotification · object | CallWebhook · object | PauseAutomation · object | ResumeAutomation · object | SuspendFlowRun · object | ResumeFlowRun · object | PauseWorkPool · object | ResumeWorkPool · object)[]

The actions to perform when an Automation goes into a triggered state

Do nothing when an Automation is triggered

actions_on_resolve
(DoNothing · object | RunDeployment · object | PauseDeployment · object | ResumeDeployment · object | CancelFlowRun · object | DeleteFlowRun · object | ChangeFlowRunState · object | PauseWorkQueue · object | ResumeWorkQueue · object | SendNotification · object | CallWebhook · object | PauseAutomation · object | ResumeAutomation · object | SuspendFlowRun · object | ResumeFlowRun · object | PauseWorkPool · object | ResumeWorkPool · object)[]

The actions to perform when an Automation goes into a resolving state

Do nothing when an Automation is triggered